import signal
import sys


def worker_initializer():
    """The signal handler is set when the subprocess is initialized and exits when the signal is received"""

    def signal_handler(signum, frame):
        sys.exit(1)  # Exit the child process

    # Set up the signal processor
    signal.signal(signal.SIGINT, signal_handler)  # Ctrl+C
    signal.signal(signal.SIGTERM, signal_handler)  # Stop signal
